%define upstream_name    List-SomeUtils
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pure Perl implementation for List::SomeUtils
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::SomeUtils::XS) >= 0.520.0
BuildRequires: perl(Module::Implementation)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
*List::SomeUtils* provides some trivial but commonly needed functionality
on lists which is not going to go into the List::Util manpage.

All of the below functions are implementable in only a couple of lines of
Perl code. Using the functions from this module however should give
slightly better performance as everything is implemented in C. The
pure-Perl implementation of these functions only serves as a fallback in
case the C portions of this module couldn't be compiled on this machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.520.0-2pclos2017
- rebuild against updates

